﻿using System.Collections.ObjectModel;
using CommonHelpers.Common;
using CommonHelpers.Models;
using CommonHelpers.Services;

namespace App1
{
    public class MainViewModel : ViewModelBase
    {
        private ObservableCollection<Product> products;

        public MainViewModel()
        {
            products = new ObservableCollection<Product>(new SampleDataService().GenerateProductData());
        }

        public ObservableCollection<Product> Products
        {
            get => products;
            set => SetProperty(ref products, value);
        }
    }
}